#pragma ident "@(#) makefile 1.0.6 2010.04.01,12:13"
#
TARGET	= ftx
OFILES	= ftx.o ftpfrm.o ftpcom.o ftplib.o minifiler.o comcurses.o filertool.o filercommand.o
CFILES	= ftx.cc ftpfrm.cc ftpcom.cc ftplib.cc minifiler.cc comcurses.cc filertool.cc filercommand.cc
LOADEXE	= ./
INCLUDE	= ./

CPP	= g++
CFLAGS	= -O3


$(TARGET) : $(OFILES)
	$(CPP) $(CFLAGS) -o $@ $(CFILES) jmvwgetnstr.o -lncursesw

ftx.o : ftx.cc ftx.h
	$(CPP) -c $(CFLAGS) ftx.cc

ftpfrm.o : ftpfrm.cc ftx.h
	$(CPP) -c $(CFLAGS) ftpfrm.cc

ftpcom.o : ftpcom.cc ftx.h
	$(CPP) -c $(CFLAGS) ftpcom.cc

ftplib.o : ftplib.cc ftx.h
	$(CPP) -c $(CFLAGS) ftplib.cc

minifiler.o : minifiler.cc ftx.h filer.h
	$(CPP) -c $(CFLAGS) minifiler.cc

comcurses.o : comcurses.cc ftx.h filer.h
	$(CPP) -c $(CFLAGS) comcurses.cc

filertool.o : filertool.cc ftx.h filer.h
	$(CPP) -c $(CFLAGS) filertool.cc

filercommand.o : filercommand.cc ftx.h filer.h
	$(CPP) -c $(CFLAGS) filercommand.cc


jstr :
	gcc -c jmvwgetnstr.c


libftx : ftpcom.cc ftpfrm.cc ftplib.cc ftx.h
	g++ $(CFLAGS) -c ftpcom.cc ftpfrm.cc ftplib.cc minifiler.cc comcurses.cc filertool.cc filercommand.cc
	ar -rv libftx.a ftpfrm.o ftpcom.o ftplib.o minifiler.o comcurses.o filertool.o filercommand.o jmvwgetnstr.o

jmvtest: jmvwgetnstr.c
	gcc -DDEBUG -o jmvtest jmvwgetnstr.c -lncursesw

